version: "2.4"
services:
  void:
    # if you want to build your own container locally:
    # container_name: paper-builder
    # build: .
    image: baldeau/paper-builder
    platform: linux/amd64
    volumes:
      - ".:/paper"
    environment:
      - PATH=$PATH:~/.local/bin
      - PATH=$PATH:~/.cabal/bin
      - TERM=xterm-256color
    command: bash -c "cd paper && ./docker_build.sh"
